WordPress.org

Support

Support » Plugins and Hacks » AssetsMinify » [Resolved] Question about excluding NextGEN scripts

[Resolved] Question about excluding NextGEN scripts

  • The plugin appears to be working, it’s compressing js and most css files, but I’m having trouble excluding all the nextgen gallery scripts, so I’m probably doing something wrong?

    I checked the source, found 12 links to css and js files (I know right?! way too many…) and pasted those links line by line into the box where it says Resources to exclude (removed the version numbers that appear to be added on dynamically). But those scripts are still being compressed.

    I used the actual links from the source code, so the full URLs, was that the wrong way to add those?

    http://wordpress.org/plugins/assetsminify/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Alessandro Carbone

    @alecarbo

    To exclude a resource you should use only the filename (eg: script.js).
    The excluded resouce will not be included in merging and minifying.
    Bye.

    Hello and very well done for your plugin and the great support on this forum. I post here because I have the same issue.
    The plugin “status” from WPMU wont be excluded when I paste its .js files (widget.js and statuswidget.js) in the exclude window.
    Don’t know what is going on nor to fix it.

    Plugin Author Alessandro Carbone

    @alecarbo

    If you try to paste only 1 filename is it excluded?
    Can you paste here the content of the field?

    I think I had tried one not exactly sure.

    widget.js,statuswidget.js

    widget.js
    statuswidget.js

    These are the .js files I found for the said plugin.

    Plugin Author Alessandro Carbone

    @alecarbo

    What do you mean? Try now excluding only one file.
    E.g.

    widget.js

    Is it being excluded this way?

    I tried with both
    widget.js
    and
    status_widget.js
    one by one
    and it is not excluded.

    I believe on looking more closely that maybe this connected to the fact that this is front page posting plugin (they behave not as the rest of WP core). You see the status plugin widget works fine on the dashboard panel but not on the front page.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] Question about excluding NextGEN scripts’ is closed to new replies.
Skip to toolbar